Subject: Re: [PATCH] APM821xx: Add support for new SoC APM821xx

From: Olof Johansson <[email-masked]>
Date: Mon, 6 Sep 2010 10:45:26 -0500

On Sun, Sep 05, 2010 at 10:19:53PM -0700, Tirumala Marri wrote:
> >
> > Then the device tree identifier, and the cpu setup functions, etc,
> > should indicate
> > 464, not APM821xx.
> This is new SoC based on 464 cpu core. All the previous SoC device tree
> CPU portion uses SoC name.

Hm, you're right. Confusing.

Still, the cpu setup functions would make more sense to have the core
name in, not the SoC name. Especially since multiple SoC families might
use the same core, etc.

> > Also, why add yet another defconfig? Isn't the eval board similar to
> > many others and can be supported with just a tweak of some existing
> > common defconfig instead?
> >
> Every new board needs new defconfig. And it is not same as others. It has
> Different features from other.

Actually, it doesn't. Linus has had a strong pushback to the ARM community
because of this mentality. arch/powerpc already has 100 defconfigs.

The use of devicetrees means that only the actual devices on your board,
will be configured, so it doesn't do any damage to compile in more drivers
than you happen to have. Thus generating a defconfig that is a superset
of some of your more common boards, or for example one per family of boards.

One of the arguments for having custom defconfigs per board is that customers that
base designs off of your eval board needs them. But they will make other changes
to the config to add drivers for whatever additional devices they have anyway.

-Olof